# Uses of Class
javafx.scene.shape.PathElement

Packages that use PathElement
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.
javafx.scene.text
Provides the set of classes for fonts and renderable Text Node.

## Uses of PathElement in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return PathElement
Modifier and Type
Method
Description
`protected PathElement[]`
TextAreaSkin.`getRangeShape(int start, int end)`
`protected PathElement[]`
TextFieldSkin.`getRangeShape(int start, int end)`
`protected abstract PathElement[]`
TextInputControlSkin.`getRangeShape(int start, int end)`
`protected PathElement[]`
TextAreaSkin.`getUnderlineShape(int start, int end)`
`protected PathElement[]`
TextFieldSkin.`getUnderlineShape(int start, int end)`
`protected abstract PathElement[]`
TextInputControlSkin.`getUnderlineShape(int start, int end)`

## Uses of PathElement in javafx.scene.shape

Subclasses of PathElement in javafx.scene.shape
Modifier and Type
Class
Description
`class`
`ArcTo`
A path element that forms an arc from the previous coordinates to the specified x and y coordinates using the specified radius.
`class`
`ClosePath`
A path element which closes the current path.
`class`
`CubicCurveTo`
Creates a curved path element, defined by three new points, by drawing a Cubic Bézier curve that intersects both the current coordinates and the specified coordinates `(x,y)`, using the specified points `(controlX1,controlY1)` and `(controlX2,controlY2)` as Bézier control points.
`class`
`HLineTo`
Creates a horizontal line path element from the current point to x.
`class`
`LineTo`
Creates a line path element by drawing a straight line from the current coordinate to the new coordinates.
`class`
`MoveTo`
Creates an addition to the path by moving to the specified coordinates.
`class`
`QuadCurveTo`
Creates a curved path element, defined by two new points, by drawing a Quadratic Bézier curve that intersects both the current coordinates and the specified coordinates `(x, y)`, using the specified point `(controlX, controlY)` as a Bézier control point.
`class`
`VLineTo`
Creates a vertical line path element from the current point to y.
Methods in javafx.scene.shape that return types with arguments of type PathElement
Modifier and Type
Method
Description
`final ObservableList<PathElement>`
Path.`getElements()`
Gets observable list of path elements of this path.
Constructors in javafx.scene.shape with parameters of type PathElement
Modifier
Constructor
Description
``
`Path(PathElement... elements)`
Creates a new instance of Path
Constructor parameters in javafx.scene.shape with type arguments of type PathElement
Modifier
Constructor
Description
``
`Path(Collection<? extends PathElement> elements)`
Creates new instance of Path

## Uses of PathElement in javafx.scene.text

Methods in javafx.scene.text that return PathElement
Modifier and Type
Method
Description
`final PathElement[]`
Text.`caretShape(int charIndex, boolean caretBias)`
Returns shape for the caret at given index and bias.
`PathElement[]`
TextFlow.`caretShape(int charIndex, boolean leading)`
Returns shape of caret in local coordinates.
`final PathElement[]`
Text.`getCaretShape()`
Shape of caret in local coordinates.
`final PathElement[]`
Text.`getSelectionShape()`
Shape of selection in local coordinates.
`final PathElement[]`
Text.`rangeShape(int start, int end)`
Returns shape for the range of the text in local coordinates.
`final PathElement[]`
TextFlow.`rangeShape(int start, int end)`
Returns shape for the range of the text in local coordinates.
`final PathElement[]`
Text.`underlineShape(int start, int end)`
Returns shape for the underline in local coordinates.